# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Consumer profiles Consumer profiles store consumer account details, such as addresses, communication methods, and payment methods in the form of records. This allows you to maintain a single source of consumer information for a seamless payment experience. You can create and manage a consumer profile using: - [Commerce Center](https://jpmorgan.com/commerce-center) - Consumer Profile Management (CPM) API - [Online Payments API](/docs/commerce/online-payments/capabilities/online-payments/payment-enhancements/profile-management) - [Checkout API](/docs/commerce/online-payments/capabilities/checkout/consumer-profile-management) ## How it works 1. You enter the consumer details and submit a request to create a consumer profile using Commerce Center, CPM API, or Payments API. 2. A POST /consumer-profiles request to create a consumer profile is sent to the CPM backend. 3. CPM backend processes the request, stores the consumer information, and returns the details along with a unique consumer profile ID (consumerProfileId). 4. You can now send payment requests to the Payments API using the consumer profile ID. > For information on how to create and use a consumer profile while making payments using the Online Payments API, refer to [Consumer profile management in payments.](/docs/commerce/online-payments/capabilities/online-payments/payment-enhancements/profile-management) > ## Create and manage consumer profiles using Commerce Center Create a new consumer profile or manage an existing profile by performing the following steps: 1. Log in to [Commerce Center](https://jpmorgan.com/commerce-center). 2. Go to Terminal and click on the Consumer Profile menu item. 3. Select the Merchant ID under which you want to create or edit the consumer profile. - Click on + Create Profile if you wish to create a consumer profile - Or, enter the Profile ID of the consumer profile you wish to manage. 4. You can edit and manage all the details of the consumer profile from the portal, such as addresses, communication methods, and payment methods. > Commerce Center is a self-serve portal that allows you to configure checkout settings, search for transactions, and more. For additional information, contact your implementation manager. > ## Create a consumer profile using CPM API Create a consumer profile by performing a `POST /consumer-profiles` call to the CPM API and providing the following required fields: **Required fields for creating a consumer profile** | Field name | Data type | Description | Required (R) or Conditionally required (CR) | | --- | --- | --- | --- | | profilePaymentMethod | Object | Indicates the payment method information and atleast one payment method is mandatory. | R | | merchant.firstName | String | First name of the merchant. | R | | merchant.lastName | String | Last name of the merchant. | R | | phoneList.phoneNumber | String | Phone number of the merchant. | CR | | phoneList.countryCode | String | Indicates the code of the country. | CR | | emailList.emailAddress | String | Email address of the merchant. | CR | You must provide a method of payment you are entitled to when creating a consumer profile or the request will fail. If you provide more than one method of payment and a default method of payment is not selected: - Card will be selected as the default. - If card is not provided, ACH will be selected as the default. - If card and ACH is not provided, SEPA will be selected as the default. **Method:** `POST` **Endpoint: **`/consumer-profiles` **Scenario:** Creating a new consumer profile ```json { "externalConsumerProfileIdentifier": "3456789fghuj", "cardOnFileReferenceNumber": "123", "firstName": "John", "lastName": "Doe", "profileStatus": "ACTIVE", "consumerProfileAddresses": [ { "firstName": "John", "lastName": "Doe", "consumerAssignedAddressName": "Work", "primaryAddressIndicator": true, "addressType": "SHIPPING", "line1": "400 Elton Farm", "line2": "Apt 123", "city": "Glen Mills", "state": "PA", "postalCode": "19342", "countryCode": "USA", "addressStatus": "ACTIVE" } ], "profilePaymentMethod": { "cardList": [ { "cardExpirationMonthYearNumber": "01/2025", "accountNumber": "1234561111119999", "accountStatus": "ACTIVE", "cardType": "MC", "firstName": "TestFirst", "lastName": "TestLast" } ] }, "communication": { "phoneList": [ { "phoneNumber": "8888888828", "countryCode": "1", "phoneNumberType": "Home" } ], "emailList": [ { "emailAddress": "john.doe.x@gmail.com", "emailAddressType": "Home" } ] } } ``` **Response:** ```json { "consumerProfileId": "80G39P", "addresses": [ { "addressIdentifier": "8d452494-ec75-4ef9-9b45-e4bd7debf6a0", "firstName": "John", "lastName": "Doe", "consumerAssignedAddressName": "Work", "primaryAddressIndicator": true, "addressType": "SHIPPING", "line1": "100 Elton Farm", "line2": "Apt 123", "city": "Glen Mills", "state": "PA", "postalCode": "19342", "countryCode": "USA", "addressStatus": "ACTIVE", "paymentMethodIdList": [ "84aeefd8-d776-42fd-8230-eb51369ffedb" ] } ], "createTimestamp": "2021-08-23T00:23:05.353Z", "createUserIdentifier": "jack", "updateTimestamp": "2021-08-23T00:23:05.353Z", "updateUserIdentifier": "jack", "profileStatus": "ACTIVE" } ``` ## Manage a consumer profile using CPM API You can manage a consumer profile by using the following operations: 1. Create a consumer profle 2. Retrieve a consumer profile 3. Update a consumer profile 4. Delete a consumer profile To learn more about how to manage your consumer profiles, refer to [Manage a consumer profile](/docs/commerce/optimization-protection/capabilities/consumer-profile-management/how-to/manage-a-consumer-profile). ## Related [Manage a consumer profile](/docs/commerce/optimization-protection/capabilities/consumer-profile-management/how-to/manage-a-consumer-profile) [Manage addresses for a consumer profile](/docs/commerce/optimization-protection/capabilities/consumer-profile-management/how-to/manage-addresses-for-a-consumer-profile) [Manage payment methods for a consumer profile](/docs/commerce/optimization-protection/capabilities/consumer-profile-management/how-to/manage-payment-methods-for-a-consumer-profile) [Manage communication methods for a consumer profile](/docs/commerce/optimization-protection/capabilities/consumer-profile-management/how-to/manage-communication-methods-for-a-consumer-profile)